Name:           perl-ZeroMQ
Version:        0.23
Release:        9%{?dist}
Summary:        ZeroMQ2 wrapper for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ZeroMQ/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/ZeroMQ-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libuuid-devel
BuildRequires:  zeromq2-devel
BuildRequires:  perl(Devel::PPPort) >= 3.19
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.21
BuildRequires:  perl(JSON) >= 2.00
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::TCP)
BuildRequires:  perl(AnyEvent)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(JSON) >= 2.00
Requires:       perl(Task::Weaken)

%description
The ZeroMQ module is a wrapper of the 0MQ message passing library for Perl.
It's a thin wrapper around the C API. Please read http://zeromq.org for
more details on ZeroMQ.

%prep
%setup -q -n ZeroMQ-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README eg/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/ZeroMQ*
%{_mandir}/man3/*.3*

%changelog
* Mon Dec 08 2014 Petr Pisar <ppisar@redhat.com> - 0.23-9
- Build against zeromq2, not the latest zeromq (bug #1168879)

* Thu Oct 30 2014 Petr Pisar <ppisar@redhat.com> - 0.23-8
- Build-require Devel::PPPort (bug #1158392)

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.23-7
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.23-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 17 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-1
- Update to 0.23 (this module is deprecated in favor of ZMQ::LibZMQ2,
  ZMQ::LibZMQ3, and ZMQ).

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 0.21-2
- Perl 5.16 rebuild

* Sun Mar 25 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.21-1
- Update to 0.21.

* Thu Jan 12 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.20-1
- Update to 0.20.

* Thu Dec  8 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- Update to 0.19.
- New BR: perl(Test::Fatal) - replaces perl(Test::Exception).

* Thu Nov 17 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-2
- Dropped perl from the BR list (#747674).

* Mon Nov  7 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-1
- Update to 0.18.

* Wed Oct 19 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-1
- First build (base specfile created by cpanspec 1.78)
